function stripped=strip_out_trailing_blanks(s)
a1=s(1:findstr(s,'[')-1);
a=deblank(a1);
b1=s(findstr(s,a1)+length(a1)+1:end);
b=deblank(b1(1:findstr(b1,']')-1));
c1=b1(findstr(b1,'{')+1:end);
c=deblank(c1(1:findstr(c1,'}')-1));
d1=c1(findstr(c1,'(')+1:end);
d=deblank(d1(1:findstr(d1,')')-1));
d=fliplr(deblank(fliplr(d)));
stripped=[a,'[',b,']{',c,'}(',d,')'];
